| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::WaitFileRemoval Class Reference

Blocking execution of the current thread until the specified file ceases to exist. More...

Inheritance diagram for IG::Lib::WaitFileRemoval:
[legend]
Collaboration diagram for IG::Lib::WaitFileRemoval:
[legend]

List of all members.

## Public Member Functions
| WaitFileRemoval (string filePath)
override bool | Condition ()
| Condition that unblocks Wait() when it becomes true. The condition is true if the observed file does not exist.
override void | Wait ()
| Waits for condition to be fulfilled.
## Protected Member Functions
override void | InitWaitFileEventBase (string fileOrDirectoryPath)
| Performs class specific initialization.

## Detailed Description

Blocking execution of the current thread until the specified file ceases to exist.

## Constructor & Destructor Documentation

IG::Lib::WaitFileRemoval::WaitFileRemoval | ( | string | filePath | ) | `[inline]`

## Member Function Documentation

override void IG::Lib::WaitFileRemoval::InitWaitFileEventBase | ( | string | fileOrDirectoryPath | ) | `[inline, protected, virtual]`

Performs class specific initialization.

Reimplemented from IG::Lib::WaitFileEventBase.

override bool IG::Lib::WaitFileRemoval::Condition | ( |  | ) | `[inline, virtual]`

Condition that unblocks Wait() when it becomes true. The condition is true if the observed file does not exist.

Returns:

Reimplemented from IG::Lib::WaitFileEventBase.

override void IG::Lib::WaitFileRemoval::Wait | ( |  | ) | `[inline, virtual]`

Waits for condition to be fulfilled.

Reimplemented from IG::Lib::WaitFileEventBase.

The documentation for this class was generated from the following file:

- WaitConditionFile.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events